## blazar 15.0.0

=== debian/changelog ===
blazar (15.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 11 Jul 2025 10:24:23 +0000

blazar (15.0.0-3) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 12:21:03 +0200

blazar (15.0.0-2) unstable; urgency=medium

  * Add fix-lease-date-not-enough-in-the-future.patch (Closes: #1104885).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 12:36:04 +0200

blazar (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:04:38 +0200

blazar (15.0.0~rc1-3) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 09:25:44 +0200

blazar (15.0.0~rc1-2) experimental; urgency=medium

  * Fixed d/copyright copyright holder list.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 16:05:04 +0100

blazar (15.0.0~rc1-1) experimental; urgency=medium

  * Initial packaging (Closes: #1100490).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:48:27 +0100
