## blazar 16.0.0~rc1

=== debian/changelog ===
blazar (16.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:33:46 +0200

blazar (16.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP= in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 21:56:34 +0200

blazar (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch blazar-api-uwsgi.ini to module=blazar.wsgi.api:application instead
    of now removed wsgi-script.
  * Removed fix-lease-date-not-enough-in-the-future.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 10:09:30 +0200
