=== debian/control ===
Source: blazar
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 133~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest,
 python3-pecan,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
 subunit,
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/blazar
Vcs-Git: https://salsa.debian.org/openstack-team/services/blazar.git
Homepage: https://github.com/openstack/blazar

Package: blazar-api
Architecture: all
Depends:
 adduser,
 blazar-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the ReST API.

Package: blazar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-blazar (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 The following two resource types are currently supported:
  * Compute host: reserve and lease with a unit of a whole host
  * Instance: reserve and lease with a unit of a flavor
 .
 This package contains the common files.

Package: blazar-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: resource reservation service for OpenStack - API server
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the documentation.

Package: blazar-manager
Architecture: all
Depends:
 adduser,
 blazar-common (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - manager
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the manager.

Package: python3-blazar
Section: python
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-eventlet,
 python3-flask,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-pecan,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: resource reservation service for OpenStack - Python files
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the Python libraries.
