=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf *egg-info .stestr
	rm -rf doc/build *.egg-info
	find . -iname '*.pyc' -delete
	rm -f \
		debian/blazar-common.postinst \
		debian/blazar-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/blazar-common.postinst debian/blazar-common.config debian/blazar-common.postrm debian/blazar-api.config debian/blazar-api.postinst
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm blazar-common.postrm
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func blazar-api.postinst
	pkgos-merge-templates blazar-api blazar endpoint
	pkgos-merge-templates blazar-common blazar db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'blazar\.tests\.*'
	# (?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_retry|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_retry|openstack\.nova\.test_server\.ServerInternalPortTest\.test_prepare_ports_for_replace_detach_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_restore_ports_after_rollback_attach_failed|test_hot\.HOTemplateTest\.test_make_url_file)'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/blazar-common/usr/share/blazar-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace blazar \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf keystone_authtoken blazar

	mkdir -p $(CURDIR)/debian/blazar-common/etc/blazar/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/blazar-common/etc/blazar/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace blazar

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf oslo_policy policy_dirs /etc/blazar/policy.d

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/blazar/blazardb|' $(CURDIR)/debian/blazar-common/usr/share/blazar-common/blazar.conf

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/blazar-doc/usr/share/doc/blazar-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
